Get settings
/user/settingsRetrieve all user settings, for example: name, email, currency.
This method requires authorization!
You can use your own API key, which can be obtained at control panel.
This method - requires permissions -user-settings.read
When creating an API token in your control panel, you can choose certain permissions (for example: prevent the token from placing orders).
You can also find a list of permissions in our documentation.
You can also find a list of permissions in our documentation.
Query method
GEThttps://api.stableproxy.com/v2/user/settings
Query parameters
| Identifier | Regulations | Example |
|---|---|---|
| password-confirmationNot necessarily | required_with:passwordsame:password | "RYwSU8d3" |
Code examples
1const baseUrl = "https://api.stableproxy.com/v2";2const response = await fetch(baseUrl + "/user/settings", {3 method: "GET",4 headers: {5 "Authorization": "API-Token [YOUR TOKEN]",6 "Content-Type": "application/json"7 }8});9const data = await response.json();Examples of answers
Success response200application/json
{
"data": {
"settings": [
{
"id": "name",
"name": "name",
"description": "",
"placeholder": "",
"validationRules": [
"nullable",
"string",
"min:1",
"max:52"
],
"value": "Fudo Tsukiko"
},
{
"id": "email",
"name": "email",
"description": "",
"placeholder": "",
"validationRules": [
"nullable",
"string",
"email",
"max:80",
"unique:users,email"
],
"value": "[email protected]"
}
]
},
"good": true,
"timestamp": 1700559670,
"cause": {
"type": "user",
"user_id": 1,
"token_id": 50,
"token_sign": "397eb5db79e5cd4c591ada973f57379c"
}
}